UntrainableDistribution (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dist.UntrainableDistribution class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dist
Class UntrainableDistribution

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.dist.AbstractDistribution
              org.biojava.bio.dist.SimpleDistribution
                  org.biojava.bio.dist.UntrainableDistribution

All Implemented Interfaces:
  Serializable, Distribution, Changeable

    public class UntrainableDistribution

extends SimpleDistribution

A distribution which does not interact with the training framework. This class behaves in exactly the same manner as SimpleDistribution, except that it has a no-op `registerWithTrainer` method. It is useful for building Markov models where you wish to train only a subset of the Distributions.

Since:
  1.3
Author:
  Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.bio.dist.SimpleDistribution
`SimpleDistribution.Trainer`

Nested classes/interfaces inherited from interface org.biojava.bio.dist.Distribution
`Distribution.NullModelForwarder`

Field Summary

Fields inherited from class org.biojava.bio.dist.AbstractDistribution
`nullModelForwarder`

Fields inherited from interface org.biojava.bio.dist.Distribution
`NULL_MODEL, WEIGHTS`

Constructor Summary
`UntrainableDistribution(FiniteAlphabet alpha)` Construct a new untrainable distribution over the specified alphabet.

Method Summary
`void` | `registerWithTrainer(DistributionTrainerContext dtc)` Register an SimpleDistribution.Trainer instance as the trainer for this distribution.

Methods inherited from class org.biojava.bio.dist.SimpleDistribution
`getAlphabet, getNullModel, getWeightImpl, getWeights, hasWeights, setNullModelImpl, setWeightImpl`

Methods inherited from class org.biojava.bio.dist.AbstractDistribution
`equals, getChangeSupport, getWeight, hashCode, sampleSymbol, setNullModel, setWeight`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### UntrainableDistribution

    public UntrainableDistribution(FiniteAlphabet alpha)

  Construct a new untrainable distribution over the specified alphabet.

  Parameters:
    `alpha` - the finite alphabet to be over

Method Detail

### registerWithTrainer

    public void registerWithTrainer(DistributionTrainerContext dtc)

  Description copied from class: `SimpleDistribution`
  Register an SimpleDistribution.Trainer instance as the trainer for this distribution.

  Specified by:
    `registerWithTrainer` in interface `Distribution`
  Overrides:
    `registerWithTrainer` in class `SimpleDistribution`
  Parameters:
    `dtc` - the context to register with

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD